Subject: RE: strange script behavior with cygwin 1.0 bash
From: Arlen Barr <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Tue, 19 Sep 2000 13:55:50 -0400

Hi Earnie,

I filtered the scripts through tr and it was indeed a CRLF problem.  However
I would like to be able to edit the script in windows and run it as is ...
Could the other versions of cygwin be working because the directories are
mounted differently?

arlen

Yes, your error is most likely caused by \r\n line endings.  You must have
text=binary mounts, correct?  There are two ways to correct the problem:

1) remount your directories into text!=binary mode

2) cp foo.sh foo.tmp && tr -d '\r' < foo.tmp > foo.sh

3) Oops I said there were only two, use the most recent net release.

Cheers,

=====
--- <http://earniesystems.safeshopper.com> ---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://gw32.freeyellow.com/>
           __Minimalist GNU for Windows__
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Send instant messages & get email alerts with Yahoo! Messenger.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]